---
layout: post
title: Update on my book — Finally published, Goodreads and upcoming book
---

Hello everyone and welcome back to another blog post. Firstly, I would like to announce that my book has finally been published with its own ISBN, namely 978-3-752952-49-0. It is currently being sold for €11.99 in Germany, but the price may differ significantly if you order it from a different country. Within Germany, it can be ordered at virtually every bookstore using the aforementioned ISBN.
Additionally, I have decided against making it available under the GNU FDL and instead opted to return to my previous idea of publishing it under a CC license.
Apart from this, you will still be able to download a version of my book as a PDF from my website.

My main intent isn't to make as much money as possible — or, indeed, to become famous —, and I simply wish to write books people find interesting; and even if people do not find them interesting, I find writing them to be quite enjoyable, as I learn quite a lot whilst writing them. Thus, if you are unable to buy the book, I highly encourage you to, instead, check out my website and take a look at the PDF file you can find thereon.

# My new book — Inferno Adventures

Immediately upon having finished _The Intricacies of Ancient Egyptian Hieroglyphics_, I began working on my upcoming book, namely _The Inferno Adventures_, wherein I will be discussing the Inferno operating system and the programming language — Limbo — it was written in. As I have had quite a lot of time to work on it as of late, I have been making rapid progress and hope to be publishing it within the next few months. It, too, will be made available under the same license as my previous book, yet I hope to decrease the price of buying one as much as possible, by choosing a slightly different format. This way, I hope to make it much more accessible, as the barriers to entry are much lower if the book only costs half as much.

As mentioned on my previous blog post, I am writing it in a manner akin to that which can be seen in older books, mostly as I thought it may make the reading of it more enjoyable than other types of books, which tend to be written rather boringly in my opinion.

Upon having finished reading the book, the reader should have gained an elemental knowledge of Inferno and should thenceforth have the ability to write simple Limbo programs.

I am writing in such a way that even those who know only little about computers and programming may be able to understand it as well, by attempting to thoroughly explain everything I find important with as much detail as I see fit. 

As was the case with my previous book, I will not be making it available before it has been released; yet, you may request a working copy of the book if you so desire by sending me a quick email detailing the reason behing your request; be aware, however, that I may _not_ grant your request.

Additionally, I have decided against using LibreOffice this time, its usage was what ultimately increased the time I was required to spend on my previous book; and even though LibreOffice is indeed a great program, when you write a lot of text as I have, it appears to struggle greatly and seems to work against you, forcing you to brute-force your way through. 
Instead, this book is being written in LaTeX which, I must admit, took a little bit of learning; yet this one day — or, more accurately, the couple of hours — of learning were of much use, as I am now able to write my new book without having to worry about things disappearing out of nowhere; my formatting breaking; and things just overall not functioning properly.

Therefore, if you have been planning on writing your own book and were deciding to use LibreOffice — or, God forbid, MS Word —, I urge you to reconsider and take the time to properly learn LaTeX; you may be required to start your writing a day or two later than you had anticipated, but you will be saving yourself much trouble.

Yet, before I am able to publish this book, I have to make sure that I am not infringing on anyone's copyright; the problem I have been dealing with is that Inferno and Limbo now belong to a company which holds exclusive world-wide rights to the software in form of a registered trademark. Therefore, I am unsure regarding the inclusion of screenshots within my book.
I have messaged their support and hope to be receiving an answer soon.

# Goodreads Author
I am now a Goodreads Author and you can find my profile by clicking the following link: https://goodreads.com/marvinjohanning. You can ask questions, see what books I have published, see what books I have been reading, follow me etc. Thus, if you use Goodreads and liked my book — or even if you did not enjoy it —, I highly encourage you to find my book on there and give it an appropriate rating.
